Get a List of Backup Objects

Product version: 10.11

Last modified: 31 July 2024

Returns a backup objects list.

Endpoint

https://<Director_IP_address>:4443/c/router

Tenant Endpoint

For tenants of the multi-tenant product the endpoint must be:
https://<Director_IP_address>:4443/t/<tenant_UUID>/c/router

Request Example

Request Fields

Field
Type
Value(s)
action string

BackupManagement

method string

getBackupObjects

data array Array with one object that contains the filter field. The filtration parameters go inside filter. See the filter table below
type string rpc
tid int 1

filter

Field
Type
Description

start

int Zero-based position of the first backup object to return in the sorted list

count

int Maximum count of backup objects

useUnlimitedCount

boolean true if the count of backup objects is to be unlimited

sort

string Field to sort by, for example NAME. Required: a request without sort fails

sortAsc

boolean If true the list is sorted ascending

sorts

array List form of sort. Not supported by this method on its own: a request with sorts and without sort fails. Use sort

sortsAsc

array List form of sortAsc. Use sortAsc with this method

criteria

array Filtration criteria. See below.

Criteria

Field Type Description Possible value(s)
type                          
string The type of criterion. AND, OR, EQ (equal), NEQ (not equal), LIKE (case sensitive), IN, BETWEEN, NOT_NULL, ILIKE, GT, GTE, LT, LTE
name
                            
string The name of filtration criteria
value depends on name Value of the criterion. E.g., "name eq 5" – value is 5

values

list

Attribute values. Used for the IN, BETWEEN values of the type field


Response Sample

Response Fields

Field
Value
Description
message string Message if the request failed
where string Reference to the method where the problem occurred
cause string Cause of failure
data object Object with the children array of backup objects and the totalCount field (number of backup objects that match the filter)

data.children (backup objects)

Field
Value
Description
id long Backup object ID

uuid 

string  Backup object UUID 

name

string Display name
hvType string Platform type. Possible values: VMWARE, AWS, HYPERV, NONE, PHYSICAL, NUTANIX

sourceType

string

Source type. Possible values: VM_BACKUP, SELF_BACKUP

updated string Date and time last updated
repositoryVid string Repository VID
transporterVid string Assigned transporter VID
sourceUuid string The source UUID
corrupted int The number of corrupted job objects

consumed

long

Actual size of user data in the backup job object

lockedShared boolean true if multiple read operations cannot run on the same repository at the same time
lockedExclusive boolean true if multiple updates cannot be made to the repository at the same time
lockReasons array Lock reasons
isAccessible boolean If true the backup object is accessible
hasRootDisk boolean AWS-specific: backup count which savepoints have a Root volume

status

string

Status of the backup object. Possible values: NONE, VERIFY_BACKUP, STOPPING_VERIFY_BACKUP

lastSavePointCreatedDate

string

Date of the last save point creation